[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ReadState

Updates control flags and reads the data for the component.

## Declaration

Source position: controls.pp line 1501

`protected procedure TControl.ReadState(`
`Reader: TReader`
`); override;`

## Arguments

`Reader` |  | TReader instance used to read the component data.

## See also

TComponent